Subject: [bug#78309] [PATCH 1/2] system: Only add guix artwork on a desktop system.

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 08 May 2025 20:38:30 +0900

Hi Efraim,

Efraim Flashner <[email-masked]> writes:

[...]

>> > diff --git a/gnu/system.scm b/gnu/system.scm
>> > index bc652b1ce59..2f87b99fce3 100644
>> > --- a/gnu/system.scm
>> > +++ b/gnu/system.scm
>> > @@ -982,8 +982,7 @@ (define-deprecated %base-packages-disk-utilities #f '())
>> >  (define %base-packages
>> >    ;; Default set of packages globally visible.  It should include anything
>> >    ;; required for basic administrator tasks.
>> > -  (append %base-packages-artwork
>> > -          %base-packages-interactive
>> 
>> I was wondering, aren't the artwork also use to provide a nicer GRUB
>> background?  That's maybe not super important for servers, but I
>> thought
>> I'd point it out.
>
> guix-icons, currently the only package in %base-packages-artwork,
> provides a nice square guix icon.  The bootloaders and login managers
> which use the backgrounds from the artwork repository grab their
> images
> directly from the %artwork-repository.  The guix-backgrounds package
> takes the %artwork-repository and extracts the desktop backgrounds
> from
> it to make it easier to use them for desktops.

I see, thanks for the explanation.

Reviewed-by: Maxim Cournoyer <maxim.cournoyer@gmail>

-- 
Thanks,
Maxim